function [ H_bkp,F_rkp,G_brp ] = Channel_read(s,B,R,K,P,N_ris,BS_antennas,User_antennas,large_fading_AI,large_fading_DI,Dis_BStoRIS, Dis_BStoUser,Dis_RIStoUser)
H_bkp=zeros(B,K,P,BS_antennas,User_antennas);
F_rkp=zeros(R,K,P,N_ris,User_antennas);
G_brp=zeros(B,R,P,N_ris,BS_antennas);
chan_est_err = 10^(2);
H_noise = 0;%sqrt(1/(2*chan_est_err))*(randn(BS_antennas,User_antennas)+1i*randn(BS_antennas,User_antennas));
F_noise = 0;%sqrt(1/(2*chan_est_err))*(randn(N_ris,User_antennas)+1i*randn(N_ris,User_antennas));
G_noise = 0;%sqrt(1/(2*chan_est_err))*(randn(N_ris,BS_antennas)+1i*randn(N_ris,BS_antennas));

H = load('./channel_&_model/ChaData_BS2User.mat');
H = H.Channel_BS2User;H = squeeze(H(s,:,:));
H = H'; H = H(1:BS_antennas,1:User_antennas);
F = load('./channel_&_model/ChaData_RIS2User.mat');
F = F.Channel_RIS2User; F = squeeze(F(s,:,:));
F = F'; F = F(1:N_ris,1:User_antennas);
G = load('./channel_&_model/ChaData_BS2RIS.mat');
G = G.Channel_BS2RIS; G = squeeze(G(s,:,:));
G = G(1:N_ris,1:BS_antennas);


for b=1:B
    for k=1:K
        for p=1:P
            H_bkp(b,k,p,:,:)=(H + H_noise )* sqrt(10^(-3) * Dis_BStoUser^(-3));
        end
    end
end
for r=1:R
    for k=1:K
        for p=1:P
            F_rkp(r,k,p,:,:)= (F + F_noise) * sqrt(10^(-2) * Dis_RIStoUser^(-2));
        end
    end
end
for b=1:B
    for r=1:R
        for p=1:P
            G_brp(b,r,p,:,:)= (G + G_noise) * sqrt(10^(-2) * Dis_BStoRIS^(-2));
        end
    end
end

end